Subject: Re: [Dime] Diameter QoS Parameter -- DECISION TO MAKE

From: Elwyn Davies <[email-masked]>
Date: Mon, 09 Mar 2009 23:05:17 +0000

Hi.

I support the decision to remove the parameters.

Regards,
Elwyn Davies

> Hi all, 
>
> we have a normative reference in the Diameter QoS parameter draft 
> http://www.ietf.org/internet-drafts/draft-ietf-dime-qos-parameters-09.txt
> pointing to http://tools.ietf.org/html/draft-ietf-tsvwg-emergency-rsvp-11
>
> Yesterday, Magnus posted a mail to the TSVWG list that
> draft-ietf-tsvwg-emergency-rsvp-11.txt is having a lot of problems getting
> through the IESG and the document bounced back to the working group. The
> mail can be found here: 
> http://www.ietf.org/mail-archive/web/tsvwg/current/msg09070.html
>
> Now, there is the risk of considerable delay in publication of our Diameter
> QoS parameter document as it will be blocked (for potentially a long time).
> Since the Diameter QoS attribute and the Diameter QoS application document
> normatively depend on the QoS parameter document they will be blocked as
> well. 
>
> So, I have been thinking of what we could do to deal with this issue and
> here is a proposal to the group. 
>
> ***************
> My proposal is to move the priority parameters (Priority AVP,
> Admission-Priority AVP, and ALRP AVP) into a separate document and to
> progress them independently to get the main part of the Diameter QoS
> parameters document finalized. 
> ***************
>
> Please let me know if you find this idea acceptable. Please respond as
> quickly as possible!
>
> Ciao
> Hannes
>
> PS: We would have to find an editor and authors for that the new document
> that contains the priority parameters but we can worry about that part
> larter. 
>
>

---

From: "Shaikh, Viqar A" <[email-masked]>
Date: Tue, 10 Mar 2009 09:03:50 -0400

Hello,

Are these parameters to be removed (Priority AVP,
> Admission-Priority AVP, and ALRP AVP) related to QoS priority or priority for an government authorized call/session?

Regards,
Viqar
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Elwyn Davies [[email-masked]]
Sent: Monday, March 09, 2009 7:05 PM
To: [email-masked]
Subject: Re: [Dime] Diameter QoS Parameter -- DECISION TO MAKE

Hi.

Regards,
Elwyn Davies

> here is a proposal to the group.
_______________________________________________
DiME mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dime

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Tue, 10 Mar 2009 16:57:44 +0200

Hi Viqar, 

It seems that most folks in the group prefer a couple of parameters to be
moved into a separate document (and thereby removed from the current
document) because of the suddenly appeared dependency problem. We are
already late with this document and we need to get it out of the door. 

Related to your question: QoS priority vs. priority for an government
authorized call/session?

When referring to the parameter in the document then what was done is
essentially the following:

* There is a container (Diameter AVP)
* There is a registry (originally created by RFC 4412 and later extended to
represent the textual values in a numeric fashion with
http://tools.ietf.org/html/draft-ietf-tsvwg-emergency-rsvp-11.
* The syntax of the previously created values is simple; they are just
numbers.
* The semantic of the values is essentially unspecified in these documents
-- James Polk would say "this is policy".

The important issue seems to be how these AVPs that contain these values are
used inside Diameter. The answer is: It depends on the scenario and on the
context. So, getting back to your question: the same AVP can used in either
scenario. 

Does this answer your question in any way?  

Ciao
Hannes 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of Shaikh, Viqar A
>Sent: 10 March, 2009 15:04
>To: [email-masked]
>> Admission-Priority AVP, and ALRP AVP) related to QoS 
>priority or priority for an government authorized call/session?
>
>Regards,
>Viqar
>http://www.ietf.org/internet-drafts/draft-ietf-dime-qos-parameters-09.
>> txt pointing to 
>> http://tools.ietf.org/html/draft-ietf-tsvwg-emergency-rsvp-11
>>
>> draft-ietf-tsvwg-emergency-rsvp-11.txt is having a lot of problems 
>> getting through the IESG and the document bounced back to 
>the working 
>> group. The mail can be found here:
>> Now, there is the risk of considerable delay in publication of our 
>> Diameter QoS parameter document as it will be blocked (for 
>potentially a long time).
>> Since the Diameter QoS attribute and the Diameter QoS application 
>> document normatively depend on the QoS parameter document 
>they will be 
>> blocked as well.
>>
>> So, I have been thinking of what we could do to deal with this issue 
>> and here is a proposal to the group.
>>
>> ***************
>> PS: We would have to find an editor and authors for that the new 
>> document that contains the priority parameters but we can 
>worry about 
>> that part larter.
>>
>>